System 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration is used by trace listeners to determine which options, or elements, should be included in the trace output. Trace listeners store the trace options in the property.

The following example shows the use of the traceOutputOptions attribute to specify the trace output options for a that is enabled using a configuration file.

`<configuration> <system.diagnostics> <trace autoflush="false" indentsize="4"> <listeners> <add name="consoleListener" type="System.Diagnostics.ConsoleTraceListener" traceOutputOptions="ProcessId, DateTime" /> </listeners> </trace> </system.diagnostics> </configuration>`

For details about adding trace listeners to the application configuration file, see <listeners> Element.

The enumeration is not used by the following classes and methods:

The class, because it can cause a large volume of data to be written to the log.

The Write and WriteLine methods of the , , and classes.

The and methods of the class when they are not overridden in a derived class.

Specifies trace data options to be written to the trace output.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceOptions

  Write the call stack, which is represented by the return value of the property.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceOptions

  Write the date and time.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceOptions

  Write the logical operation stack, which is represented by the return value of the property.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceOptions

  Do not write any elements.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceOptions

  Write the process identity, which is represented by the return value of the property.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceOptions

  Write the thread identity, which is represented by the return value of the property for the current thread.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceOptions

  Write the timestamp, which is represented by the return value of the method.